// DM Top
jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 1) {
        jQuery('.dmtop').css({bottom: "25px"});
    } else {
        jQuery('.dmtop').css({bottom: "-100px"});
    }
});
jQuery('.dmtop').click(function () {
    jQuery('html, body').animate({scrollTop: '0px'}, 800);
    return false;
});
///////////////////////////////////////////////////////////////////////////////

jQuery(document).ready(function ($) {

    /* ==========================================================================
     maska
     ========================================================================== */

    $('input[type="tel"]').mask("+7 (999) 999-99-99");

    /* ==========================================================================
     fancybox
     ========================================================================== */
    $("a.fancybox").fancybox({
        padding: 0,
        //width:460,
        maxWidth: 460,
        autoHeight: true,
        autoSize: false,
        closeClick: false,
        openEffect: "fade",
        closeEffect: "fade"
    });
    /* ==========================================================================
     sticky
     ========================================================================== */
    function stickyNav() {
        ww = document.body.clientWidth;
        if (ww < 960) {
            $(".navbar").sticky({topSpacing: 0});
        }
        else if (ww >= 960) {
        }
    }

    stickyNav();
    $(window).resize(stickyNav);

    /* ==========================================================================
     placeholder
     ========================================================================== */
    $('input[placeholder], textarea[placeholder]').placeholder();


    $('input,textarea').focus(function () {
        $(this).data('placeholder', $(this).attr('placeholder'))
        $(this).attr('placeholder', '');
    });
    $('input,textarea').blur(function () {
        $(this).attr('placeholder', $(this).data('placeholder'));
    });

    /* ==========================================================================
     ОДИНАКОВАЯ ВЫСОТА БЛОКОВ
     ========================================================================== */
    $(function () {
        bindTestOptions();
    });
    var bindTestOptions = function () {
        resetTestOptions();
        $('.option').change(resetTestOptions);
    };
    var resetTestOptions = function () {
        // update test options
        $('.option').each(function () {
            var $this = $(this);
            $('body').toggleClass($this.val(), $this.prop('checked'));
        });
        // update byRow option
        var byRow = $('body').hasClass('test-rows');
        $.each($.fn.matchHeight._groups, function () {
            this.options.byRow = byRow;
        });
        // update all heights
        $.fn.matchHeight._update();
    };
    //блоки с одинаковой высотой
    $('.step .box').each(function () {
        $(this).children('.box').matchHeight({
            byRow: true,
            property: 'height',
            target: null,
            remove: false
        });
    });
    //конец
    //блоки с одинаковой высотой
    $('.documents .box').each(function () {
        $(this).children('.box').matchHeight({
            byRow: true,
            property: 'height',
            target: null,
            remove: false
        });
    });
    //конец

    $(document).on('click', '.js-send-estimate', function (e) {
        e.preventDefault();
        var mark = $('.js-form-mark').val(),
            model = $('.js-form-model').val(),
            year = $('.js-form-year').val(),
            price = $('.js-form-price').val(),
            tel = $('.js-form-tel').val();


        $.ajax({
            url: myajax.url, //url, к которому обращаемся
            type: "POST",
            data: "action=estimate&mark=" + mark + "&model=" + model + "&year=" + year+ "&price=" + price + "&tel=" + tel,
            success: function (data) {
              alert('Письмо успешно отправлено');
                $('.js-form-mark').val('');
                $('.js-form-model').val('');
                   $('.js-form-year').val('');
                    $('.js-form-price').val('');
                   $('.js-form-tel').val('');
            }
        });
        return false;
    });

    $(document).on('click', '.js-book', function (e) {
        e.preventDefault();

        var name = $('.js-name').val(),
            tel = $('.js-tel').val();

        $.ajax({
            url: myajax.url, //url, к которому обращаемся
            type: "POST",
            data: "action=book&name=" + name + "&tel=" + tel,
            success: function (data) {
                $('.js-name').val('');
                $('.js-tel').val('');
            }
        });
        return false;
    });

    $(document).on('click', '.form-application', function (e) {
        e.preventDefault();

        var formData = new FormData($('#footer-form')[0]);
        formData.append( 'action', 'application' );

        console.log(formData);
        $.ajax({
            url: myajax.url, //url, к которому обращаемся
            type: "POST",
            processData: false,
            contentType: false,
            data: formData,
            success: function (data) {
                // $('.form-application').append(data);
                alert('Письмо успешно отправлено');
                $('.form-mark').val('');
                $('.form-model').val('');
                $('.form-volume').val('');
                $('.form-KPP').val('');
                $('.form-year').val('');
                $('.form-price').val('');
                $('.form-name').val('');
                $('.form-tel').val('');
                $('.form-info').val('');
            }
        });

        return false;
    });

    $('.item_img').owlCarousel({
        singleItem: true,
        navigation: false,
        autoPlay: 3000,
    });
    $('.presentOwlCarousel').owlCarousel({
        singleItem: true,
        navigation: false,
        pagination: false,
        autoPlay: 3000,
    });

    $('html,body').animate({scrollTop: $('.content_title').offset()}, 'slow');
});

function mainlook(block_4_close, block_4_open) {
    document.getElementById(block_4_close).style.display = 'none';
    document.getElementById(block_4_open).style.display = '';
}
/* ==========================================================================
 показать элементы по клику (если расширение менее 992)
 ========================================================================== */
function look(block_4_close, block_4_open) {
    ww = document.body.clientWidth;
    if (ww < 992) {
        jQuery("#r1").removeClass('active');
        document.getElementById(block_4_close).style.display = 'none';
        document.getElementById(block_4_open).style.display = '';
    }
    else if (ww >= 991) {
        jQuery("#r1").addClass('active');
    }
}
look();
jQuery(window).resize(look);